# ocpkg
ocpkg is a wrapper for [rpkg](https://fedorahosted.org/rpkg/) which interacts
with RPM git repositories like the ones hosted at http://gitee.com/src-opencloudos-rpms
Rpkg also provides
some convenience methods/commands for local builds via mock or rpmbuild, for
interacting with koji, and for generating patches.

Not all typical rpkg commands have been implemented yet.  If the command you
are looking for doesn't appear to work, please open an issue.

This repository provides one executable script, ocpkg.

## ocpkg

Executable ocpkg allows you to interact with OpenCloudOS Linux dist-git and OpenCloudOS Linux koji instance.

## Supported commands

Here is the list currently supported commands by ocpkg:

* clone
* sources
* new-sources
* upload
* scratch-build
* build

## Current workflow

For a user working on a package in http://gitee.com/src-opencloudos-rpms, 
the following workflow is recommended:

    # In this example a user would like to scratch-build perl
    $ ocpkg clone -b oc8 perl
    $ cd perl
    $ ocpkg build --srpm --scratch

    # Tagged builds can be done also
    $ ocpkg build --srpm


## License

Unless otherwise specified, all files are licensed under GPLv2+.
See COPYING for more license information
